Skip to main content

Projects & Environments

POST/v1/orgs/{org_id}/projects

Create Project

CI or Admin tokenscope: writeoperation_id: projects.create

Authentication

Requires a CI- or admin-level token. Runtime tokens are rejected for mutations.

SDK install

pip install znyx-sdknpm install @znyx/sdk

Path parameters

NameTypeRequiredDescription
org_id#pathstringrequired

Header parameters

NameTypeRequiredDescription
X-API-Key#headerstring | nulloptional
authorization#headerstring | nulloptional

Request bodyrequired

FieldTypeRequiredDescription
namestringrequired

Responses

StatusDescription
200Successful Response
422Validation Error

Response schema

idrequiredstring
org_idrequiredstring
namerequiredstring
slugrequiredstring
environmentsobject[]
runtime_keys_createdboolean
runtime_keys
created_atrequiredstring

Errors & what triggers them

CodeTriggerFix
401Missing or expired Authorization header.
403Token does not have the required role (admin / editor).
404Target resource does not exist in this org.
422Request body failed validation.

Request

curl -X POST 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/projects' \
  -H 'Authorization: Bearer $ZNYX_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'

Response

application/json

Successful Response

{
  "id": "string",
  "org_id": "string",
  "name": "string",
  "slug": "string",
  "environments": [
    {}
  ],
  "runtime_keys_created": false,
  "runtime_keys": [
    {
      "env_name": "string",
      "env_id": "string",
      "raw_key": "string",
      "key_prefix": "string",
      "expires_at": null
    }
  ],
  "created_at": "string"
}

Schema: object